# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# RArray< Z > Class Template Reference

Resizable array class. More...

`#include <netwm_p.h>`

Inheritance diagram for RArray< Z >:

[legend]
List of all members.

## Public Member Functions

| RArray ()
| Constructs an empty (size == 0) array.
| ~RArray ()
| Resizable array destructor.
Z & | operator[] (int)
| The [] operator does the work.
int | size () const
| Returns the size of the array.

## Detailed Description

### template<class Z>
class RArray< Z >

Resizable array class.

This resizable array is used to simplify the implementation. The existance of this class is to keep the implementation from depending on a separate framework/library.

Definition at line 38 of file netwm_p.h.

## Constructor & Destructor Documentation

template<class Z>
RArray< Z >::RArray | ( |  | ) |

| Constructs an empty (size == 0) array.

template<class Z>
RArray< Z >::~RArray | ( |  | ) |

| Resizable array destructor.

## Member Function Documentation

template<class Z>
Z& RArray< Z >::operator[] | ( | int |  | ) |

| The [] operator does the work. If the index is larger than the current size of the array, it is resized.

template<class Z>
int RArray< Z >::size | ( |  | ) | const`[inline]`

| Returns the size of the array. Definition at line 63 of file netwm_p.h.

The documentation for this class was generated from the following file:

- netwm_p.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:54 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001